Skip to main content
GET
/
matching-markets
/
sports
/
{sport}
Get Matching Markets for Sports by Sport and Date
curl --request GET \
  --url https://api.domeapi.io/v1/matching-markets/sports/{sport}
{
  "markets": {
    "nfl-ari-den-2025-08-16": [
      {
        "platform": "KALSHI",
        "event_ticker": "KXNFLGAME-25AUG16ARIDEN",
        "market_tickers": [
          "KXNFLGAME-25AUG16ARIDEN-ARI",
          "KXNFLGAME-25AUG16ARIDEN-DEN"
        ]
      },
      {
        "platform": "POLYMARKET",
        "market_slug": "nfl-ari-den-2025-08-16",
        "token_ids": [
          "34541522652444763571858406546623861155130750437169507355470933750634189084033",
          "104612081187206848956763018128517335758189185749897027211060738913329108425255"
        ]
      }
    ]
  },
  "sport": "nfl",
  "date": "2025-08-16"
}

Documentation Index

Fetch the complete documentation index at: https://docs.domeapi.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

sport
enum<string>
required

The sport to find matching markets for.

Sport abbreviations:

  • nfl = Football
  • mlb = Baseball
  • cfb = College Football
  • nba = Basketball
  • nhl = Hockey
  • cbb = College Basketball
  • pga = Golf
  • tennis = Tennis
Available options:
nfl,
mlb,
cfb,
nba,
nhl,
cbb,
pga,
tennis
Example:

"nfl"

Query Parameters

date
string
required

The date to find matching markets for in YYYY-MM-DD format

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2025-08-16"

Response

Matching markets response

markets
object
Example:
{
  "nfl-ari-den-2025-08-16": [
    {
      "platform": "KALSHI",
      "event_ticker": "KXNFLGAME-25AUG16ARIDEN",
      "market_tickers": [
        "KXNFLGAME-25AUG16ARIDEN-ARI",
        "KXNFLGAME-25AUG16ARIDEN-DEN"
      ]
    },
    {
      "platform": "POLYMARKET",
      "market_slug": "nfl-ari-den-2025-08-16",
      "token_ids": [
        "34541522652444763571858406546623861155130750437169507355470933750634189084033",
        "104612081187206848956763018128517335758189185749897027211060738913329108425255"
      ]
    }
  ]
}
sport
string
Example:

"nfl"

date
string
Example:

"2025-08-16"